This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769692 - Add boundary conditions and overflow detection code in necessary glusterfs library functions
Add boundary conditions and overflow detection code in necessary glusterfs li...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
: FutureFeature, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 13:38 EST by Harshavardhana
Modified: 2015-10-22 11:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2011-12-21 13:38:16 EST
Description of problem:

This is placeholder for cleanups in entire glusterfs codebase to ensure proper checks for boundary conditions and overflow detection.
Comment 1 Anand Avati 2012-01-03 16:29:42 EST
CHANGE: http://review.gluster.com/2556 (libglusterfs: Add boundary conditions to data_to_int8() function.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Harshavardhana 2012-02-29 10:28:16 EST
http://review.gluster.com/#change,2599 - Can this change be reviewed and pushed.
Comment 3 Anand Avati 2012-03-18 05:20:37 EDT
CHANGE: http://review.gluster.com/2599 (libglusterfs/dict: Add boundary conditions) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Amar Tumballi 2012-10-19 01:08:58 EDT
marking it ON_DEV... this bug can remain open all the time...
Comment 5 Anand Avati 2013-10-21 00:55:51 EDT
REVIEW: http://review.gluster.org/6115 (libglusterfs: Propositions should be logical) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 6 Anand Avati 2013-10-21 02:13:32 EDT
REVIEW: http://review.gluster.org/6115 (libglusterfs: Propositions should be logical) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 7 Anand Avati 2013-10-21 21:32:09 EDT
COMMIT: http://review.gluster.org/6115 committed in master by Anand Avati (avati@redhat.com) 
------
commit 34990cf1838fe85d995c15ea25bc0f77bfd66ed6
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sun Oct 20 21:45:45 2013 -0700

    libglusterfs: Propositions should be logical
    
    Mutually exclusive tests shouldn't be
    non-contradictory
     -- (A is B) && (A is not B) is not valid
    
    Change-Id: Icf97d1704fedca4b8eeeb67da8b7d4c8d4b578d5
    BUG: 769692
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/6115
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 9 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.